Subject: bug#20036: 24.4.90; Emacs hangs/freezes

From: Justin Kirby <[email-masked]>
Date: Mon, 09 Mar 2015 14:15:07 -0400

Eli Zaretskii <[email-masked]> writes:

>> Date: Mon, 09 Mar 2015 11:37:58 +0100
>> From: martin rudalics <[email-masked]>
>> Cc: [email-masked]
>> 
>> Then maybe the wrong display gets addressed when trying to
>> show the cursor.
>
> According to the backtrace posted by Justin, we are not in the process
> of showing the cursor.  We are positioning the preedit area for the
> input method's context of the selected window.
>
> AFAIR, X input methods work by communicating with a specialized server
> process.  So perhaps the events used for these communications somehow
> get eaten and thrown away, or maybe the IM server has a bug or
> something?
>
> (I never wrote any XIM code in my life, so feel free to ignore parts
> or all of the above if it makes no sense.)
>
> Justin, can you tell when this started happening?  Is this problem new
> with Emacs 24.4.90, or did it happen before?

This is happening on a build from git branch emacs-24 on an Ubuntu 14.04
LTS. The problem has been occurring for all of the builds I have done. I
first did a git clone a few weeks ago. Sorry, I can't give an exact
date.

The default emacs24 package does not have this problem.

I read that if emacs freezes to use the lucid toolkit, which I did after
the first occurrence. I will try using another --with-x-toolkit value
and see if that works.